Subject: bug#27872: 26.0.50; freeze when opening file with emojis

From: Nejc Vivod <[email-masked]>
Date: Sun, 30 Jul 2017 14:42:45 +0200

I’m running in gui mode yes. I’ve ran it from lldb, attaching the backtrace. 

Thank you for taking the time

> On 30 Jul 2017, at 14:34, Alan Third <[email-masked]> wrote:
> 
> On Sun, Jul 30, 2017 at 02:10:38PM +0200, Nejc Vivod wrote:
>> Tried downloading from emacsformacosx.com
>> <http://emacsformacosx.com/> (both the nightly and the stable
>> version), still have the same issue - I’ve also recreated the file
>> with your echo command. Not sure why it breaks like this, since the
>> preinstalled emacs opens the file just fine.
> 
> The preinstalled Emacs is ancient. Version 22 or something. Quite a
> lot has changed since then. It also only works in the terminal so the
> glyph display code is completely different.
> 
>> What I did notice is, it seems to allocate a bunch of memory every
>> second or so when opening that test file (looking at activity
>> monitor -> Info about the process); before I force-killed it, it was
>> taking up 2,39GB of ram and it didn’t seem like it would stop.
>> 
>> I’m attaching a sample of the process, maybe this can be of help. 
> 
> I don’t really understand what that’s telling me. Is it possible for
> you to run it under a debugger and send me a backtrace?
> 
> You’ll probably have lldb installed already, so all you need to do is
> run
> 
>    lldb /path/to/emacs
>> run
> 
> and once it freezes hit ctrl‐c and
> 
>> bt all
> 
> and send me the output.
> 
> You are running it in GUI mode, and not in the terminal, right?
> 
> -- 
> Alan Third